> For the complete documentation index, see [llms.txt](https://docs.bsvblockchain.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bsvblockchain.org/guides.md).

# Guides

- [Local Blockchain Stack](https://docs.bsvblockchain.org/guides/local-blockchain-stack.md)
- [Mockchain Stack](https://docs.bsvblockchain.org/guides/local-blockchain-stack/mockchain.md)
- [Business Use Cases](https://docs.bsvblockchain.org/guides/business-use-cases.md)
- [Creating a Tranche of Event Tickets](https://docs.bsvblockchain.org/guides/business-use-cases/event_tickets.md)
- [SDKs](https://docs.bsvblockchain.org/guides/sdks.md)
- [Concepts](https://docs.bsvblockchain.org/guides/sdks/concepts.md)
- [BEEF](https://docs.bsvblockchain.org/guides/sdks/concepts/beef.md)
- [Fees](https://docs.bsvblockchain.org/guides/sdks/concepts/fee.md)
- [SPV](https://docs.bsvblockchain.org/guides/sdks/concepts/spv.md)
- [Transactions](https://docs.bsvblockchain.org/guides/sdks/concepts/how_tx.md)
- [Op Codes](https://docs.bsvblockchain.org/guides/sdks/concepts/op.md)
- [Script Templates](https://docs.bsvblockchain.org/guides/sdks/concepts/templates.md)
- [Signatures](https://docs.bsvblockchain.org/guides/sdks/concepts/tx_sig.md)
- [Verification](https://docs.bsvblockchain.org/guides/sdks/concepts/tx_valid.md)
- [TypeScript](https://docs.bsvblockchain.org/guides/sdks/ts.md)
- [Node, CommonJS](https://docs.bsvblockchain.org/guides/sdks/ts/getting_started_node_cjs.md)
- [React](https://docs.bsvblockchain.org/guides/sdks/ts/getting_started_react.md)
- [Low Level](https://docs.bsvblockchain.org/guides/sdks/ts/low-level.md)
- [Verification](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/aes_symmetric_encryption.md)
- [ECDH](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/ecdh.md)
- [Numbers & Points](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/numbers_points.md)
- [Signatures](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/tx_sig.md)
- [42](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/type_42.md)
- [ECDSA](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/using_ecdsa.md)
- [Hmacs](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/using_hashes_and_hmacs.md)
- [Keys](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/using_private_public_keys.md)
- [Scripts](https://docs.bsvblockchain.org/guides/sdks/ts/low-level/using_scripts.md)
- [Examples](https://docs.bsvblockchain.org/guides/sdks/ts/examples.md)
- [Creating a Simple Transaction](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_simple_tx.md)
- [Verifying a BEEF Structure](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_verifying_beef.md)
- [Creating Transactions with Inputs, Outputs and Templates](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_complex_tx.md)
- [Creating the R-puzzle Script Template](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_script_templates.md)
- [Message Encryption and Decryption](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_encrypt_decrypt_message.md)
- [Message Signing](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_message_signing.md)
- [Building a Custom Transaction Broadcast Client](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_building_custom_tx_broadcaster.md)
- [Verifying Spends with Script Intrepreter](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_verifying_spends.md)
- [BIP32 Key Derivation with HD Wallets](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_hd_wallets.md)
- [Using Type 42 Key Derivation for Bitcoin Wallet Management](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_type_42.md)
- [Creating a Custom Transaction Fee Model](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example_fee_modeling.md)
- [Building a Pulse Block Headers Client](https://docs.bsvblockchain.org/guides/sdks/ts/examples/example-building-a-pulse-block-headers-client.md)
- [Using ECIES Encryption](https://docs.bsvblockchain.org/guides/sdks/ts/examples/using-ecies-encryption.md)
- [Go](https://docs.bsvblockchain.org/guides/sdks/go.md)
- [Examples](https://docs.bsvblockchain.org/guides/sdks/go/examples.md)
- [Simple Tx](https://docs.bsvblockchain.org/guides/sdks/go/examples/create_simple_tx.md)
- [Keys](https://docs.bsvblockchain.org/guides/sdks/go/examples/address_from_wif.md)
- [Encryption](https://docs.bsvblockchain.org/guides/sdks/go/examples/aes.md)
- [Broadcasting](https://docs.bsvblockchain.org/guides/sdks/go/examples/broadcaster.md)
- [Inscribing](https://docs.bsvblockchain.org/guides/sdks/go/examples/create_tx_with_inscription.md)
- [Data Markers](https://docs.bsvblockchain.org/guides/sdks/go/examples/create_tx_with_op_return.md)
- [Linked Keys](https://docs.bsvblockchain.org/guides/sdks/go/examples/derive_child.md)
- [ECIES](https://docs.bsvblockchain.org/guides/sdks/go/examples/ecies.md)
- [Fees](https://docs.bsvblockchain.org/guides/sdks/go/examples/fee_modeling.md)
- [HD Keys](https://docs.bsvblockchain.org/guides/sdks/go/examples/generate_hd_key.md)
- [Headers](https://docs.bsvblockchain.org/guides/sdks/go/examples/headers_client.md)
- [Secure Messages](https://docs.bsvblockchain.org/guides/sdks/go/examples/message.md)
- [Merkle Path Verification](https://docs.bsvblockchain.org/guides/sdks/go/examples/verify_bump.md)
- [Python](https://docs.bsvblockchain.org/guides/sdks/py.md)
- [Examples](https://docs.bsvblockchain.org/guides/sdks/py/examples.md)
- [Simple Tx](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_simple_tx.md)
- [Verifying BEEF](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_verifying_beef.md)
- [Complex Tx](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_complex_tx.md)
- [Script Templates](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_script_templates.md)
- [Encryption](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_encrypt_decrypt_message.md)
- [Message Signing](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_message_signing.md)
- [Building A Custom Broadcaster](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_building_custom_tx_broadcaster.md)
- [HD Wallets](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_hd_wallets.md)
- [Linked Keys](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_type_42.md)
- [Fees](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_fee_modeling.md)
- [Merkle Path Verification](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_verifying_roots.md)
- [ECIES](https://docs.bsvblockchain.org/guides/sdks/py/examples/example_ecies.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bsvblockchain.org/guides.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
